Cyberduck Mountain Duck CLI

#10983 closed defect (fixed)

Invalid context in connection profile for OVH

Reported by: edausq Owned by: dkocher
Priority: normal Milestone: 7.3.0
Component: openstack Version: 7.2.5
Severity: critical Keywords: ovh
Cc: Architecture: Intel
Platform: macOS 10.15

Description

Hello,

in this page: https://trac.cyberduck.io/wiki/help/en/howto/ovh , a profile to connect to OVH Object Storage can be downloaded (https://svn.cyberduck.io/trunk/profiles/OVH%20Public%20Cloud%20Storage.cyberduckprofile) This profile is not working.

This profile has for "context" the string "/v3/tokens". I think it should be either /v3/ or /v3/auth/tokens.

Also, "Username Placeholder" has for string "Project:Domain:Username" but Project or Domain could be either name or id. Could you patch this description to precise what is expected?

If you need an account to test/debug, we can provide a voucher to Cyberduck team.

I hope you can fix before 24th of March because keystone version 2 will be shutdown at this date.

Change History (9)

comment:1 Changed on Mar 8, 2020 at 10:50:13 PM by dkocher

  • Component changed from core to openstack
  • Owner set to dkocher
  • Priority changed from high to normal

We fixed this in r48723 on Feb 27. Did you get a cached version from the profile?

comment:2 Changed on Mar 8, 2020 at 10:50:36 PM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

comment:3 Changed on Mar 9, 2020 at 9:04:54 AM by edausq

  • Resolution worksforme deleted
  • Status changed from closed to reopened

No cache on my side since I am using curl. String is "/v3/tokens" in r48723. There is not "/v3/tokens" endpoint in keystone: https://docs.openstack.org/api-ref/identity/v3/

comment:4 Changed on Mar 13, 2020 at 2:34:30 PM by dkocher

  • Milestone set to 8.0
  • Status changed from reopened to new

comment:5 Changed on Mar 13, 2020 at 2:39:09 PM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

In r48859.

comment:6 Changed on Mar 13, 2020 at 2:39:37 PM by dkocher

As of r48724 we also include a Keystone 3 profile by default.

comment:7 Changed on Mar 13, 2020 at 2:44:07 PM by edausq

Thank you dkocher.

comment:8 Changed on Mar 22, 2020 at 1:28:00 PM by dkocher

  • Milestone changed from 8.0 to 7.3.0

comment:9 Changed on Mar 22, 2020 at 1:28:12 PM by dkocher

  • Summary changed from wrong cyberduck profile for OVH to Invalid context in connection profile for OVH
Note: See TracTickets for help on using tickets.